@import url('/mon-compte/assets/fonts/poppins/font.css');

@font-face {
    font-family: "Brush Script MT";
    src: url('/assets/fonts/Brush_Script_MT_Italic.woff2') format('woff2');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

:root {
    --basicColor1: #E4226B;
    --basicColor2: #A7C8A1;
    --basicColor3: #F8F3EB;
    --basicColor4: #FBF8F2;
    --basicColor5: #EDE9DE;
    --borderGrey: #e0e7ff;
    --borderLightGrey: #e5e7eb;
    --mainShadow: 0 12px 30px rgba(15, 23, 42, 0.08);
    --bg-page: #f3f4f6;
    --colorText: #323232FF;
    --basicWhite: #ffff;
    --basicBlack: #1F1F1F;
    --basicColorLight: #cccccc;
    --smallRadius: 10px;
    --mediumRadius: 20px;
    --basicRadius: 30px;
    --defaultSpacing: calc(1.5em);
    --success: #28a745;
    --info: #17a2b8;
    --warning: #ffc107;
    --danger: #dc3545;
    font-size: 20px;
}

body * {
    margin: 0;
    box-sizing: border-box;
}

body {
    background-color: var(--basicColor3);
    margin: 0 auto;
    color: var(--basicBlack);
    max-width: 600px;
    -webkit-box-shadow: 0px 0px 42px 44px rgba(0, 0, 0, 0.09);
    box-shadow: 0px 0px 42px 44px rgba(0, 0, 0, 0.09);
    font-family: "Poppins", sans-serif;
}

a {
    text-decoration: none;
    font-size: 1em;
    font-weight: 400;
}

p {
    line-height: 25px;
}

p a {
    font-weight: 400;
}

.bigSpacing {
    padding: calc(var(--defaultSpacing) * 2) var(--defaultSpacing)
}

.uniformSpacing {
    max-width: 1720px;
    width: 100%;
    margin: 0 auto;
}

.bigUniformSpacing {
    max-width: 1800px;
    margin: 0 auto;
}

.bigUniformSpacing {
    max-width: 1920px;
    margin: 0 auto;
}

.marginCenter {
    margin: 0 auto;
}

h1, h2, h3, h4, h5, h6 {
    line-height: 1.1;
    font-weight: 400;
}

p, span {
    font-weight: 400;
}

.black {
    font-weight: 900;
}

.bold {
    font-weight: 700;
}

.semiBold, .semiBold * {
    font-weight: 600;
}

strong {
    font-weight: 600;
}

.regular {
    font-weight: 400;
}

.medium {
    font-weight: 500;
}

.light {
    font-weight: 300;
}

.extraLight {
    font-weight: 200;
}

.size80 {
    font-size: 4em;
}

.size60 {
    font-size: 3em;
}

.size40 {
    font-size: 2em;
}

.size30 {
    font-size: 1.5em;
}

.size20 {
    font-size: 1em;
}

.size15 {
    font-size: .75em;
}

.brushFont {
    font-family: "Brush Script MT", cursive !important;
}

.upper {
    text-transform: uppercase;
}

.taj {
    text-align: justify;
}

.tac {
    text-align: center;
}

.tal {
    text-align: left;
}

.tar {
    text-align: right;
}

.relative {
    position: relative
}

.bgImg {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.afterFilter, .afterFilter * {
    position: relative;
    z-index: 10;
}

.afterFilter:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background-color: black;
    opacity: .5;
}

.afterFilter.radius:after {
    border-radius: var(--basicRadius);
}

.afterFilter.smallRadius:after {
    border-radius: var(--smallRadius);
}

.radius {
    border-radius: var(--basicRadius);
}

.mediumRadius {
    border-radius: var(--mediumRadius);
}

.smallRadius {
    border-radius: var(--smallRadius);
}

.activeLink {
    border-bottom: 1px solid var(--basicColor1);
}

.mainShadow {
    box-shadow: var(--mainShadow);
}

.colorWhite, .colorWhite * {
    color: var(--basicWhite);
}

.bgWhite {
    background-color: var(--basicWhite);
}

.fillWhite * {
    fill: var(--basicWhite);
}

.colorBlack, .colorBlack * {
    color: var(--basicBlack);
}

.bgBlack {
    background-color: var(--basicBlack);
}

.fillBlack * {
    fill: var(--basicBlack);
}

.colorPink, .colorPink * {
    color: var(--basicColor1);
}

.bgPink {
    background-color: var(--basicColor1);
}

.fillPink * {
    fill: var(--basicColor1);
}



b {
    font-weight: 600;
}

.introText {
    display: flex;
    flex-direction: column;
    gap: 1em;
    width: 100%;
}

.introText .separatorContainer{
    display: flex;
    gap: .5em;
    align-items: center;
}

.introText .separatorContainer.column{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 1em;
}

.introText .separatorContainer .center{
    justify-content: center;
}

.introText .separatorContainer .separator{
    width: 2.5em;
    height: 1px;
}



.w100 {
    width: 100% !important;
}

.mainLink{
    display: flex;
    gap: .5em;
    align-items: flex-end;
}


.mainLink.center {
    display: flex;
    justify-content: center;
    width: 100%;
}

.mainLink.end {
    display: flex;
    justify-content: flex-end;
    width: 100%;
}

.mainLink a,
.mainLink button,
.mainLink p {
    padding: .25em .25em .25em 1.5em;
    gap: 0;
    border-radius: var(--smallRadius);
    align-items: center;
    width: fit-content;
    cursor: pointer;
    transition: ease all .3s;
    border: none;
    position: relative;
}

.hidden {
    display: none !important;
}

/* START MODAL */
.modal {
    display: flex;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
    opacity: 0;
    transform: translateY(-100%); /* Départ en dehors de l'écran, vers le haut */
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.modal-content {
    background-color: #fff;
    padding: 2em;
    border-radius: var(--basicRadius);
    width: 60%;
    text-align: center;
    position: relative;
    display: flex;
    flex-direction: column;
    height: 80vh;
}

.modal.show {
    opacity: 1;
    transform: translateY(0);
}

.modal iframe {
    width: 100%;
    height: 100%;
}

.modal h2 {
    text-align: start;
    padding-bottom: .5em;
    padding-top: 1em;
}

.modal .close {
    position: absolute;
    top: .5em;
    right: 1em;
    font-size: 1.5em;
    cursor: pointer;
}

/* END MODAL */
/* START SLIDER */
.slider {
    max-width: 1920px;
    margin: 0 auto;
    position: relative;
}

.sliderWrapper {
    width: 410px;
    display: flex;
    transition: transform 1s ease-in-out;
    gap: 2em;
}

.sliderWrapper::-webkit-scrollbar {
    display: none; /* Chrome/Safari */
}

.sliderSlide {
    width: 410px;
    flex: 0 0 auto;
    box-sizing: border-box;
}

.horizontalScroll {
    overflow: hidden;
}

/* END SLIDER */

